Gentoo Archives: gentoo-dev

From: Mike Frysinger <vapier@g.o>
To: gentoo-dev@l.g.o
Subject: [gentoo-dev] autotools.eclass: dropping of M4DIR and explicit GNU m4 requirement
Date: Wed, 14 Dec 2011 18:34:14
first up, i can't find anyone using M4DIR anymore (has been deprecated for a 
while at this point), so i'm dropping it wrt AT_M4DIR.

next, i'm explicitly noting GNU m4 as a requirement in the autotools.eclass.  
i believe this has always been de-facto case (we certainly use non-POSIX flags 
like -I/--include), and i wanted to use a few more features without having to 
worry about portability.  plus, the autoconf website says GNU m4 is required 
for autoconf.


File name MIME type
signature.asc application/pgp-signature